org.apache.catalina.ha

## Interface CatalinaCluster

- All Superinterfaces:
    Cluster
  All Known Implementing Classes:
    SimpleTcpCluster

      public interface CatalinaCluster
      extends Cluster

  A CatalinaCluster interface allows to plug in and out the different cluster implementations
  Author:
    Filip Hanik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `info` Descriptive information about this component implementation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClusterListener(ClusterListener listener)`
    `void` | `addValve(Valve valve)`
    `Channel` | `getChannel()`
    `ClusterDeployer` | `getClusterDeployer()`
    `Member` | `getLocalMember()` Return the member that represents this node.
    `Log` | `getLogger()` Returns the associates logger with this cluster.
    `Manager` | `getManager(String name)`
    `String` | `getManagerName(String name, Manager manager)`
    `Map<String,ClusterManager>` | `getManagers()`
    `Member[]` | `getMembers()` Returns all the members currently participating in the cluster.
    `Valve[]` | `getValves()`
    `boolean` | `hasMembers()` Returns that cluster has members.
    `void` | `removeClusterListener(ClusterListener listener)`
    `void` | `send(ClusterMessage msg)` Sends a message to all the members in the cluster
    `void` | `send(ClusterMessage msg, Member dest)` Sends a message to a specific member in the cluster.
    `void` | `setChannel(Channel channel)`
    `void` | `setClusterDeployer(ClusterDeployer deployer)`
    `void` | `start()` Start the cluster, the owning container will invoke this
    `void` | `stop()` Stops the cluster, the owning container will invoke this

    - ### Methods inherited from interface org.apache.catalina.Cluster

      `backgroundProcess, createManager, getClusterName, getContainer, getInfo, getProtocol, registerManager, removeManager, setClusterName, setContainer, setProtocol`

- - ### Field Detail

    - #### info

          static final String info

      Descriptive information about this component implementation.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### start

          void start()
                     throws Exception

      Start the cluster, the owning container will invoke this
      Throws:
        `Exception` - - if failure to start cluster

    - #### stop

          void stop()
                    throws LifecycleException

      Stops the cluster, the owning container will invoke this
      Throws:
        `LifecycleException`

    - #### getLogger

          Log getLogger()

      Returns the associates logger with this cluster.
      Returns:
        Log

    - #### send

          void send(ClusterMessage msg)

      Sends a message to all the members in the cluster
      Parameters:
        `msg` - ClusterMessage

    - #### send

          void send(ClusterMessage msg,
                  Member dest)

      Sends a message to a specific member in the cluster.
      Parameters:
        `msg` - ClusterMessage
        `dest` - Member

    - #### hasMembers

          boolean hasMembers()

      Returns that cluster has members.

    - #### getMembers

          Member[] getMembers()

      Returns all the members currently participating in the cluster.
      Returns:
        Member[]

    - #### getLocalMember

          Member getLocalMember()

      Return the member that represents this node.
      Returns:
        Member

    - #### addValve

          void addValve(Valve valve)

    - #### addClusterListener

          void addClusterListener(ClusterListener listener)

    - #### removeClusterListener

          void removeClusterListener(ClusterListener listener)

    - #### setClusterDeployer

          void setClusterDeployer(ClusterDeployer deployer)

    - #### getClusterDeployer

          ClusterDeployer getClusterDeployer()

    - #### getManagers

          Map<String,ClusterManager> getManagers()

      Returns:
        The map of managers

    - #### getManager

          Manager getManager(String name)

    - #### getManagerName

          String getManagerName(String name,
                              Manager manager)

    - #### getValves

          Valve[] getValves()

    - #### setChannel

          void setChannel(Channel channel)

    - #### getChannel

          Channel getChannel()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.